import request from '@/utils/request'

// 查询计算公式数据列表
export function listMethod(query) {
  return request({
    url: '/mall/method/list',
    method: 'get',
    params: query
  })
}

// 查询计算公式数据详细
export function getMethod(countMethodId) {
  return request({
    url: '/mall/method/' + countMethodId,
    method: 'get'
  })
}

// 新增计算公式数据
export function addMethod(data) {
  return request({
    url: '/mall/method',
    method: 'post',
    data: data
  })
}

// 修改计算公式数据
export function updateMethod(data) {
  return request({
    url: '/mall/method',
    method: 'put',
    data: data
  })
}

// 删除计算公式数据
export function delMethod(countMethodId) {
  return request({
    url: '/mall/method/' + countMethodId,
    method: 'delete'
  })
}
